/* esempio_08_blink_2step_ext
 * Scketch di esempio
 */

// Il LED collegato esternamente connesso al piedino DIGITALE 3.
#define EXTLEDPIN  3

/* Questa funzione viene chiamata per impostare la scheda, una sola volta
 */
void setup () {
  pinMode(EXTLEDPIN, OUTPUT);  // Imposta il piedino del LED esterno in uscita
}

/* Questa funzione viene ripetuta all'infinito
 */
void loop () {
  analogWrite(EXTLEDPIN, 128);     // Imposta il LED esterno a mezza luce
  delay (200);                     // Attende 1/4 di secondo
  digitalWrite(EXTLEDPIN, HIGH);   // Accende il LED esterno
  delay (200);                     // Attende 1/4 di secondo
  analogWrite(EXTLEDPIN, 128);     // Imposta il LED esterno a mezza luce
  delay (200);                     // Attende 1/4 di secondo
  digitalWrite(EXTLEDPIN, LOW);    // Spegne il LED esterno
  delay (200);
  analogWrite(EXTLEDPIN, 128);     // Imposta il LED esterno a mezza luce
  delay (200);                     // Attende 1/4 di secondo
  digitalWrite(EXTLEDPIN, HIGH);   // Accende il LED esterno
  delay (200);                     // Attende 1/4 di secondo
  analogWrite(EXTLEDPIN, 128);     // Imposta il LED esterno a mezza luce
  delay (200);                     // Attende 1/4 di secondo
  digitalWrite(EXTLEDPIN, LOW);    // Spegne il LED esterno
  delay (600);                     // Attende 3/4 di secondo
}


